<?php
/*
    Guest Post Routine - GuppY PHP Script - version 4.5.4
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alves
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v1.0 (30 December 2002)   : initial release
      v1.1 (02 January 2003)    : modified Smileys and Allowed Tags for better rendering with screen resolutions inferior to 1024x768
      v1.2 (05 January 2003)    : created databases thread.dtb and forum.dtb for quicker display of forum threads
      v1.3 (06 January 2003)    : added send supervision e-mail
                                  use databases thread.dtb and forum.dtb introduced with v1.2 for quicker work
                                   on forum threads posts
      v1.4 (07 January 2003)    : stripslashes(text) in supervision e-mails
      v1.6 (23 January 2003)    : slightly updated the supervision e-mail formating sent for guestbook
                                  added option to hide on the site the e-mail address of poster
      v1.7 (28 January 2003)    : updated the VerifyForm() javascript function to take into account all possible cases
                                  added Recommend to a Friend box
      v1.8 (05 February 2003)   : added forum category management
                                  bug correction in the eMailTo() function call
      v1.9 (11 February 2003)   : added category information in forum supervision mail sending
      v2.0 (27 February 2003)   : debugged the VerifyForm() javascript function for undefined verified variables
                                  removed input form on postguest form return & added back button to it
                                  added protection against SPAM notice
      v2.1 (10 March 2003)      : added addslashes() to var in Javascript functions (to avoid errors)
                                  click on smiley copies smiley to text (by Nicolas Alves)
                                  focus on first field in input form (by B@lou and Laurent Duveau)
                                  removed Title from Thread answer in supervision e-mail (returned "ptit" instead of nothing)
      v2.2 (22 April 2003)      : added answer's text reminder (by Nicolas Alves)
                                  small update of the layout for e-mail sent to the webmaster in case of new thread
                                  replaced <P><CENTER> by <P align="center"> otherwise IE takes the default font instead of the required one (Thanks Michel)
                                  click on text formating tag copies tag to text
                                  use of DrawSmileys() function
                                  focus back to text after inserting a Smiley or a tag
      v2.3 (27 July 2003)       : user news post: even if written in one language, put the news in both languages (until the webmaster translates it)
                                  bug correction: accepts e-mails like "firstname-lastname@site.com (accept "-" character)
                                  the check for the e-mail is not as exhaustive as it used to be but it checks for most bad input cases
                                  added forms style management (by Nicolas Alves)
                                  added user prefs management by cookie
                                  added US date format management
                                  added basic editor capabilities for user input (by Nicolas Alves and Laurent Duveau)
                                  AddSmiley() function upgraded
      v2.4 (24 September 2003)  : added react to an article option
                                  added backup counter for next forum thread number
                                  added forum personalized signature
                                  added ReadDoc() function
                                  added GetCurrentDateTime() and FormatDate() function to ease various date and time formatings
                                  reviewed all Files Read & Write functions
                                  secured transfered parameters
                                  created $typ_[name] variables
      v2.4p1 (26 Sept. 2003)    : bug correction = now [ back] works after forum thread posting
      v2.4p2 (28 Sept. 2003)    : XSS security correction in the posting module (by Das, http://www.echu.org, thanks)
      v2.4p4 (04 October 2003)  : XSS security correction in the posting module (by frog-m@n, http://www.phpsecure.info, thanks)
      v3.0 (25 February 2004)   : added skins (by Nicolas Alves)
                                  added check for (, ) and ; characters Javascript attempts in URL (security correction)
                                  added check for too long words (to avoid screen disalignment)
                                  added check for valid forum category (security enhancement)
                                  added a "Please Wait..." message while a post is being processed and a check to avoid redundant posting (thanks Icare)
                                  automated return after posting (thanks Icare)
      v4.0 (06 December 2004)   : added page title, modified forum engine,
  	                              added admin agree for guestbook and forum (by Jean-Mi)
                                  added new wisiwig editor for IE or Mozilla
    		                          upgrade mini-editor for other browsers and export pseudo-tags control in javascript (by Icare)
  	                              added alt tags to img and removed border tag for non-linked img,
  	                              cleaning code : removed P tags redunding with  forms style (by Isa)
        				                  added WrapLongWords in textareas (by Albweb)
        				                  added members management (by Nicolas Alves)
                                  added mail to watch on post answer (by Nicolas Alves)
        				                  added quotation insert on response (by Icare)
      v4.5 (27 May 2005)        : added links in supervision mail (by Jean-Mi)
  	                              changed popup by div for message "in progress" (by Icare)
                								  changed textarea ancienptxt by div (by Icare)
                								  updated reco and return process, added mail to webmaster (by Icare)
      v4.5.1 (06 July 2005)     : corrected e-mail sending errors (by Icare)
      v4.5.4 (01 September 2005): changed &amp; by & in $backurl (by Icare)
      
      modified for Cryptographp by Hpsam
*/

header("Pragma: no-cache");
define("CHEMIN", "");
// cryptographp ==>
$cryptinstall=CHEMIN.'plugins/cryptographp/cryptographp.fct.php';
$crypterror = false;
$cryptok = false;
include_once $cryptinstall;
// <== cryptographp

include("inc/includes.inc");

// cryptographp ==>
include_once(CHEMIN.'plugins/cryptographp/inc/function.inc');
// <== cryptographp

function import($name, $origine='', $striptags=true) {
  switch ($origine) {
  case 'post' :
  case 'POST' :
    $var = isset($_POST[$name]) ? $_POST[$name] : NULL ;
    break;
  case 'get':
  case 'GET':
    $var = isset($_GET[$name]) ? $_GET[$name] : NULL ;
    break;
  default :
    $var = isset($_POST[$name]) ? $_POST[$name] : (isset($_GET[$name]) ? $_GET[$name] : NULL) ;      
  }
  return $striptags ? strip_tags($var) : $var;
}

function getmicrotime(){
  list($usec, $sec) = explode(" ",microtime());
  return ((float)$usec + (float)$sec);
}

function FindIndexDBFields($fic, $submit0, $submit1, $submit2) {
  if (FileDBExist($fic)) {
    $DataDB = ReadDBFields($fic);
    for ($i = 0; $i < count($DataDB); $i++) {
      if (@stristr($DataDB[$i][0],$submit0)
      &&  @stristr($DataDB[$i][1],$submit1)
      &&  @stristr($DataDB[$i][2],$submit2)) {
        return $i;
      }
    }
  }
  return false;
}

if (!isset($serviz[51]) || !is_numeric($serviz[51]) || $serviz[51] < 50) $serviz[51] = ANTISPAM_COUNT;
if (!isset($serviz[52]) || !is_numeric($serviz[52]) || $serviz[52] < 10) $serviz[52] = ANTISPAM_DELAY;

if (import('add', 'GET') != NULL) die('STOP ! Variable $add : illegal origine !');
$add      = import('add', 'POST');

switch ($add) {
case NULL :
  $lng      = import('lng');
  $typ      = import('typ');
  break;
case 1 :
  $lng      = import('lng', 'POST');
  $typ      = import('typ', 'POST');
  break;
default :
  die('STOP ! Variable $add : illegal value ('.$add.')');
}
// modifi pour cryptographp ==>
switch ($typ) {
case TYP_FORUM :
case TYP_THREAD :
  if ($serviz[13] == '') {
    die('STOP ! Forum is not activated !');
  }
  if ($cp_cfg[4]) $cryptok = true;
  break;
case TYP_GUESTBK :
  if ($serviz[12] == '') {
    die('STOP ! Guest book is not activated !');
  }
  if ($cp_cfg[3]) $cryptok = true;
  break;
case TYP_NEWS :
  if ($serviz[8] == '' || $site[5] == 2) {
    die('STOP ! News soumission is not activated !');
  }
  if ($cp_cfg[2]) $cryptok = true;
  break;
case TYP_REACT :
  if ($serviz[29] == '') {
    die('STOP ! Reaction is not activated !');
  }
  if ($cp_cfg[5]) $cryptok = true;
  break;
case TYP_RECO :
	if ($cp_cfg[7]) $cryptok = true;
  break;
case TYP_MAIL :
	if ($cp_cfg[8]) $cryptok = true;
  break;
default :
  die('STOP ! Variable $typ : illegal value ('.$typ.')');
}
// <== cryptographp

switch ($lng) {
case $lang[0] :
case $lang[1] :
  break;
default :
  die('STOP ! Variable $lng : illegal value ('.$lng.')');
}

$pseudo   = import('pseudo', 'POST');
$pemail   = import('pemail', 'POST');
$pehide   = import('pehide', 'POST');
$pfmail   = import('pfmail', 'POST');
$ptit     = import('ptit', 'POST');
$ptxt     = import('ptxt', 'POST', false);
$purl     = import('purl', 'POST');
$cat      = import('cat');
$catforum = import('catforum');
$pg       = import('pg');
$num      = import('num');
$antispam = import('antispam', 'POST');
// cryptographp ==>
$crypt = import('crypt', 'POST');
// <== cryptographp

$pseudo = CutLongWord($pseudo,30);
$pseudo = ereg_replace("[^a-zA-Z0-9_]", "", $pseudo);
$pemail = CutLongWord($pemail);
$pfmail = CutLongWord($pfmail);
$purl = CutLongWord($purl,80);
$ptit = WrapLongWords(CutLongWord($ptit,100));
if ($browser!="OK") {
  include("inc/ptxt_ctrl.inc");
}
$ptxt = WrapLongWords(CutLongWord($ptxt,5000),150);
$pmess = str_replace("<img src=\"","<img src=\"".$site[3],$ptxt);

$ok = $web45;
$infos = 'IP: '.$REMOTE_ADDR.' ('.gethostbyaddr($REMOTE_ADDR).')<br />Referer : '.$HTTP_REFERER.'<br />Browser : '.$HTTP_USER_AGENT;

if ($add == 1) {
// cryptographp ==>
if ((chk_crypt($crypt) && $cryptok) || !$cryptok){
// <== cryptographp
  if ((is_file(USEREP.$pseudo.DBEXT)) && ($pseudo != $userprefs[1])) {
      ?>
      <script language="javascript" type="text/javascript">
        alert('<? echo addslashes($web298); ?>');
        history.back();
      </script>
      <?
  }
  $index = FindIndexDBFields(DBANTISPAM, $antispam, $REMOTE_ADDR, $typ);
  if ($index === false) {
    // Ajoutez l'action que vous souhaitez (par exemple : mail  l'administrateur, inscription dans un fichier...)
    // Add the action which you wish (for example: e-mail with the administrator, inscription in a file...)
    die('STOP ! Anti-SPAM !');
  }
  else {
    DeleteDBFieldById(DBANTISPAM, $index);
    if ($members[0] == 'on' && $userprefs[1] == '') {
      switch ($typ) {
      case TYP_NEWS :
        if ($members[8] == 'on') die('STOP ! News : Access reserved for the members !');
        break;
      case TYP_GUESTBK :
        if ($members[9] == 'on') die('STOP ! Guest book : Access reserved for the members !');
        break;
      case TYP_FORUM :
      case TYP_THREAD :
        if ($members[10] == 'on') die('STOP ! Forum : Access reserved for the members !');
        break;
      case TYP_REACT :
        if ($members[11] == 'on' || $members[1] == 'on') die('STOP ! Reaction : Access reserved for the members !');
        break;
      }
    }
  }
  
  if (!empty($site[28])) {
    echo "<div id='mess' class='forum' style='position: absolute; left: 33%; top: 360px; width: 300px; padding: 20px; border: 4px inset;'>";
    echo "<p align='center'><strong>".$web220."</strong><br /><br />";
    echo "<img src='".CHEMIN."inc/img/progbar/".$site[28]."' border=0 alt=' '>";
    echo "</p></div>";
  }
  if ($typ == TYP_THREAD) {
    $dbworkmail = ReadDBFields(DBFORUM);
	  for ($i = 0; $i < count($dbworkmail); $i++) {
      if ($num==$dbworkmail[$i][1]){
        $sujetthread=$dbworkmail[$i][5];
    	  $catthread=$dbworkmail[$i][12];
    	  break;
		  }
    }
    $dbmailuniq = Array();
    $dbworkuniq = ReadDBFields(DBTHREAD);
    for ($i = 0; $i < count($dbworkuniq); $i++) {
      if ($num==$dbworkuniq[$i][1] && $dbworkuniq[$i][2]==0) {
        $pgview=$dbworkuniq[$i][3];
      }
      if ($num==$dbworkuniq[$i][1] && $dbworkuniq[$i][9]=="on") {
        $dbmailuniq[]=$dbworkuniq[$i][5];
      }
    }	
    $mailuniq = ValUnique($dbmailuniq);
    for ($i = 0; $i < count($mailuniq); $i++) {
      $to = $mailuniq[$i];
      $sujet = $web345.$sujetthread;
      $body  = $web346.$sujetthread."<br><br>";
      $body .= $web109.'<hr>'.stripslashes($ptxt).'<hr><br>';
      $body .= $web347."<br>";
      $body .= '<a href="';
      $body .= $site[3]."thread.php?lng=".$lng."&pg=".$pgview."&cat=".$catthread;
      $body .= '">';
      $body .= $site[3]."thread.php?lng=".$lng."&pg=".$pgview."&cat=".$catthread;
      $body .= '</a><br><br>';
      $body .= $web348."<br>".$user[0];
      eMailHtmlTo($sujet, $body, $to);
    }
  }
  if (($typ == TYP_FORUM || $typ == TYP_THREAD) && ($serviz[18] == "on")) {
    $dbworkcat = ReadDBFields(DBFORUMCAT);
    $catok = 0;
    for ($i = 0; $i < count($dbworkcat); $i++) {
      if ($dbworkcat[$i][0] == $catforum) {
        $catok = 1;
      }
    }
    if ($catok == 0) {
      $typ == "";
    }
  }
  if ($typ == TYP_NEWS || $typ == TYP_GUESTBK || $typ == TYP_FORUM || $typ == TYP_THREAD || $typ == TYP_RECO || $typ == TYP_REACT) {
    if ($typ == TYP_THREAD) {
      $data[0] = TYP_FORUM;
    }
    else {
      $data[0] = $typ;
    }
    $data[1] = "";
    if (!empty($site[5]) && $typ == TYP_NEWS) {
     $data[2] = "i";
     $ok = "<p align=\"center\"><strong>".$web48."</strong></p>";
    }
    elseif ($serviz[12] && $typ == TYP_GUESTBK) {
      if ($serviz[40]) {
        $data[2] = "i";
        $ok = "<p align=\"center\"><strong>".$web48."</strong></p>";
      }
      else {
        $data[2] = "a";
        $ok = "";
      }
    }
    elseif ($serviz[13] && (($typ == TYP_FORUM) || ($typ == TYP_THREAD))) {
      if ($serviz[41]) {
        $data[2] = "i";
        $ok = "<p align=\"center\"><strong>".$web48."</strong></p>";
      }
      else {
        $data[2] = "a";
        $ok = "";
      }
    } 
    else {
      $data[2] = "a";
      $ok = "";
    }
    $data[3] = "";
    $data[4] = "";
    $data[5] = $pseudo;
    $data[6] = $pemail;
    if ($typ == TYP_GUESTBK) {
      $dbwork = SelectDBFields($typ,"","");
      @rsort($dbwork);
      $id = $dbwork[0][1];
      if (!empty($id)) {
      ReadDoc(DBBASE.$id);
      $data[7] = $fielda1+1;
      }
      else {
        $data[7] = 1;
      }
    }
    elseif ($typ == TYP_REACT) {
      $dbwork = ReadDBFields(DBREACT);
      $maxreact = 1;
      for ($i = 0; $i < count($dbwork); $i++) {
        if ($dbwork[$i][1] == $pg) {
          $maxreact++;
        }
      }
      $data[7] = $maxreact;
    }
    elseif ($typ == TYP_FORUM) {
      if ($serviz[41]) {
        $data[7] = 1;
        $dbwork = SelectDBFieldsByNotStatus(SelectDBFields(TYP_FORUM, "", ""), "d");
        rsort($dbwork);
        if (count($dbwork) > 0) {
          ReadDoc(DBBASE.$dbwork[0][1]);
          $data[7] = $fielda1 + 1;
        }
      }
      else {
        $dbthrd = array();
        $dbwork = ReadDBFields(DBFORUM);
        for ($i = 0; $i < count($dbwork); $i++) {
          $dbthrd[] = $dbwork[$i][1];
        }
        @rsort($dbthrd);
        if (!empty($dbthrd)) {
          $data[7] = $dbthrd[0]+1;
          WriteCounter(DBFORUMCOUNTER,$data[7]);
        }
        else {
          $data[7] = ReadCounter(DBFORUMCOUNTER)+1;
          WriteCounter(DBFORUMCOUNTER,$data[7]);
        }
      }
    }
    elseif ($typ == TYP_THREAD) {
      $data[7] = $num;
    }
    else {
    $data[7] = "";
    }
    if ($typ == TYP_FORUM) {
      $data[8] = "0";
    }
    elseif ($typ == TYP_THREAD) {
      if ($serviz[41]) {
        $data[8] = 1;
        $dbwork = SelectDBFieldsByNotStatus(SelectDBFields(TYP_FORUM, "", ""), "d");
        rsort($dbwork);
        if (count($dbwork) > 0) {
          for ($i=0; $i<count($dbwork); $i++) {
           ReadDoc(DBBASE.$dbwork[$i][1]);
           if ($fielda1 == $data[7]) {
             $data[8] = $fielda2 + 1;
              break;
            }
          }
        }
      }
      else {
        $dbthrd = array();
        $dbwork = ReadDBFields(DBFORUM);
        $j = 0;
  	    for ($i = 0; $i < count($dbwork); $i++) {
          if ($dbwork[$i][1] == $num) {
            $j = $dbwork[$i][7];
            break;
          }
        }
        $data[8] = $j+1;
      }
    }
    elseif ($typ == TYP_REACT) {
      $data[8] = $pg;
    }
    else {
      $data[8] = "";
    }
    if ($typ == TYP_GUESTBK) {
      if (trim($purl) == "http://") {
        $purl = "";
      }
      $data[9] = $purl;
      $data[10] = "";
      $data[11] = $ptxt;
      $data[12] = "";
    }
    elseif ($typ == TYP_FORUM) {
      $data[9] = $ptit;
      $data[10] = $catforum;
      if (!empty($userprefs[6])) {
        $data[11] = $ptxt."<p align=\"right\"><br />".$userprefs[6];
      }
      else {
        $data[11] = $ptxt;
      }
      $data[12] = $userprefs[8];
      if (!empty($userprefs[1])) {
        $idcountmsg = ReadCounter(FILECOUNTMSG.$pseudo.DBEXT) + 1;
      }
      else {
        $idcountmsg="v";
      }
      $data[14] = $idcountmsg;
      $data[15] = $userprefs[9];
    $data[16]=$replymail;	
    }
    elseif ($typ == TYP_THREAD) {
      $data[9] = "";
      $data[10] = "";
      if (!empty($userprefs[6])) {
        $data[11] = $ptxt."<p align=\"right\"><br />".$userprefs[6];
      }
      else {
        $data[11] = $ptxt;
      }
      $data[12] = $userprefs[8];
      if (!empty($userprefs[1])) {
        $idcountmsg = ReadCounter(FILECOUNTMSG.$pseudo.DBEXT) + 1;
      }
      else {
        $idcountmsg="v";
      }
      $data[14] = $idcountmsg;
      $data[15] = $userprefs[9];
      $data[16]=$replymail;	
    }
    elseif ($typ == TYP_RECO) {
      $data[9] = $pfmail;
      $data[10] = "";
      $data[11] = $ptxt;
      $data[12] = "";
    }
    elseif ($typ == TYP_REACT) {
      $data[9] = "";
      $data[10] = "";
      $data[11] = $ptxt;
      $data[12] = "";
    }
    else {
      if ($site[5] == "0") {
        $data[9] = $ptit;
        $data[10] = $ptit;
        $data[11] = $ptxt;
        $data[12] = $ptxt;
      }
      else {
        if ($lng == $lang[0]) {
          $data[9] = $ptit;
          $data[10] = "";
          $data[11] = $ptxt;
          $data[12] = "";
        }
        else {
          $data[9] = "";
          $data[10] = $ptit;
          $data[11] = "";
          $data[12] = $ptxt;
        }
      }
    }
    $data[13] = $pehide;
    if ($typ != TYP_FORUM && $typ != TYP_THREAD) {
      $data[14] = "";
      $data[15] = "";
    }
    if (($typ == TYP_FORUM) || ($typ == TYP_THREAD) && (!empty($userprefs[1]))) {
      $idcountmsg = ReadCounter(FILECOUNTMSG.$pseudo.DBEXT) + 1;
      WriteCounter(FILECOUNTMSG.$pseudo.DBEXT,$idcountmsg);
    }
    if (($serviz[41]) && (($typ == TYP_FORUM) || ($typ == TYP_THREAD))) {
      $id = IncrNextID();
      $db = array();
      $db[0] = $data[0];
      $db[1] = $id;
      $db[2] = $data[2];
      AppendDBFields(DOCID,$db);
      $type = $data[0];
      $fileid = $id;
      $status = $data[2];
      $creadate = GetCurrentDateTime();
      $moddate = $creadate;
      $author = addslashes(stripslashes($data[5]));
      $email = addslashes(stripslashes($data[6]));
      $fielda1 = addslashes(stripslashes($data[7]));
      $fielda2 = addslashes(stripslashes($data[8])); 
      $fieldb1 = addslashes(stripslashes($data[9]));       
      $fieldb2 = addslashes(stripslashes($data[10]));
      $fieldc1 = addslashes(stripslashes(replaceimg(PutHR(PutBR($data[11])))));
      $fieldc2 = addslashes(stripslashes($data[12]));
      $fieldd1 = addslashes(stripslashes($data[13]));
      $fieldd2 = $idcountmsg;
      $fieldweb = $data[15];
      $fieldmail = $data[16];	
      WriteDoc();
    }
    else {
      $id = ActionOnFields("add",$data);
    }
    $ok = "<p align=\"center\"><strong>".$web46."</strong></p>".$ok;
  }
  else {
    $ok = "<p align=\"center\"><strong>".$web47."</strong></p>";
  }
  if ($typ == TYP_MAIL) {
    $ok = "<p align=\"center\"><strong>".$web46."</strong></p>";
  }
  $datefrmt = FormatDate(GetCurrentDateTime());
  if ($supervision[2] == "on" && $typ == TYP_NEWS) {
    $eSub = $site[0]." ".$web106;
    $eMsg = $site[0]." - ".$web106." ".$web104." ".$datefrmt.".<br>";
    $eMsg .= $web107.stripslashes($pseudo)." (".stripslashes($pemail).").<br>";
    $eMsg .= $web108.stripslashes($ptit)."<br>";
    $eMsg .= $web109.'<hr>'.stripslashes($ptxt);
    $eMsg .= "<hr>".$web349." : ".$web354.$id;
    $eMsg .= "<br>".$web360.'<a href="'.$site[3]."news.php?lng=".$lng."&pg=".'">'.$site[3]."news.php?lng=".$lng."&pg=".'</a>';
    $eMsg .= "<br>".$web350.'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=news&form=2&id=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=news&form=2&id=".$id.'</a>';
    $eMsg .= "<br>".$web351.'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=news&act=a&id=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=news&act=a&id=".$id.'</a>';
    $eMsg .= "<br>".$web353.'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=news&del=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=news&del=".$id.'</a>';
    $eMsg .= "<hr>".$infos;
    eMailHtmlTo($eSub,$eMsg,"");
  }
  elseif ($supervision[3] == "on" && $typ == TYP_GUESTBK) {
    $eSub = $site[0]." ".$web113;
    $eMsg = $site[0]." - ".$web113." ".$web104." ".$datefrmt.".<br>";
    $eMsg .= $web107.stripslashes($pseudo)." (".stripslashes($pemail).").<br>";
    $eMsg .= $web112.stripslashes($purl)."<br>";
    $eMsg .= $web109.'<hr>'.stripslashes($ptxt);
    $eMsg .= "<hr>".$web349." : ".$web39.$data[7]." - ".$web354.$id;
    $eMsg .= "<br>".$web360.'<a href="'.$site[3]."guestbk.php?lng=".$lng."&pg=".'">'.$site[3]."guestbk.php?lng=".$lng."&pg=".'</a>';
    $eMsg .= "<br>".$web350.'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=guestbk&form=2&id=".$id.'">'."admin/admin.php?lng=".$lng."&pg=guestbk&form=2&id=".$id.'</a>';
    $eMsg .= "<br>".$web352.'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=guestbk&act=i&id=".$id.'">'."admin/admin.php?lng=".$lng."&pg=guestbk&act=i&id=".$id.'</a>';
    $eMsg .= "<br>".$web353.'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=guestbk&del=".$id.'">'."admin/admin.php?lng=".$lng."&pg=guestbk&del=".$id.'</a>';
    $eMsg .= "<hr>".$infos;
    eMailHtmlTo($eSub,$eMsg,"");
  }
  elseif ($supervision[6] == "on" && $typ == TYP_REACT) {
    $eSub = $site[0]." ".$web182;
    $eMsg = $site[0]." - ".$web182." ".$web104." ".$datefrmt.".<br>";
    $eMsg .= $web107.stripslashes($pseudo)." (".stripslashes($pemail).").<br>";
    ReadDoc(DBBASE.$pg);
    $eMsg .= $web183." - ".$fieldb1."<br>";
    $eMsg .= $web109.'<hr>'.stripslashes($ptxt);
    $eMsg .= "<hr>".$web349." : ".$web39.$data[7]." - ".$web355.$fileid." - ".$web356.$id;
    $eMsg .= "<br>".$web360.'<a href="'.$site[3]."articles.php?lng=".$lng."&pg=".$fileid."&react=".$id.'">'.$site[3]."articles.php?lng=".$lng."&pg=".$fileid."&react=".$id.'</a>';
    $eMsg .= "<br>".$web350.'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=react&form=2&id=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=react&form=2&id=".$id.'</a>';
    $eMsg .= "<br>".$web352.'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=react&act=i&id=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=react&act=i&id=".$id.'</a>';
    $eMsg .= "<br>".$web353.'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=react&del=".$id.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=react&del=".$id.'</a>';
    $eMsg .= "<hr>".$infos;
    eMailHtmlTo($eSub,$eMsg,"");
  }
  elseif ($supervision[4] == "on" && ($typ == TYP_FORUM || $typ == TYP_THREAD)) {
    $eSub = $site[0]." ".$web114;
    $eMsg = $site[0]." - ".$web114." ".$web104." ".$datefrmt.".<br>";
    $eMsg .= $web107.stripslashes($pseudo)." (".stripslashes($pemail).").<br>";
    if ($serviz[18] == "on") {
      $dbforcat = ReadDBFields(DBFORUMCAT);
      for ($i = 0; $i < count($dbforcat); $i++) {
        if ($catforum == $dbforcat[$i][0]) {
	        if ($lng == $lang[0]) {
		  	    $eMsg .= $web130." : ".$dbforcat[$i][1];
			    }
			    else {
            $eMsg .= $web130." : ".$dbforcat[$i][2];
		      }
		      break;
        }
      }
    }
    if ($typ == TYP_FORUM) {
      $eMsg .= " - ".$web110."<br>";
      $eMsg .= $web108.stripslashes($ptit)."<br>";
    }
    else {
      $eMsg .= $web111."<br>";
    }
    $eMsg .= $web109.'<hr>'.stripslashes($ptxt);
    $eMsg .= "<hr>".$web349." : ".$web63.$data[7]." - ".$web354.$fileid;
    $eMsg .= "<br>".$web360.'<a href="'.$site[3]."thread.php?lng=".$lng."&thrd=".$data[7].'&cat='.$catforum.($data[8]==0? "" : "&id=".ceil($data[8]/$serviz[20]))."#".$data[8].'">'.$site[3]."thread.php?lng=".$lng."&thrd=".$data[7].'&cat='.$catforum.($data[8]==0? "" : "&id=".ceil($data[8]/$serviz[20]))."#".$data[8].'</a>';
    $eMsg .= "<br>".$web350.'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=forum&form=2&id=".$fileid.'&cat='.$catforum.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=forum&form=2&id=".$fileid.'</a>';
    $eMsg .= "<br>".$web352.'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=forum&act=i&id=".$fileid.'&cat='.$catforum.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=forum&act=i&id=".$fileid.'</a>';
    $eMsg .= "<br>".$web353.'<a href="'.$site[3]."admin/admin.php?lng=".$lng."&pg=forum&del=".$fileid.'">'.$site[3]."admin/admin.php?lng=".$lng."&pg=forum&del=".$fileid.'</a>';
    $eMsg .= "<hr>".$infos;
    eMailHtmlTo($eSub,$eMsg,"");
  }
  elseif ($typ == TYP_RECO) {
    $eSub = $web125." ".$pseudo;
    $eMsg = $web125." ".$pseudo." ".$web104." ".$datefrmt.".<br><br>";
    $eMsg .= $pseudo." - <a href=\"mailto:".$pemail."\">".stripslashes($pemail)."</a> - ".$web126;
    $eMsg .= " ".$site[0]." (<a href='".$site[3]."'>".$site[3]."</a>).<br>";
    $eMsg .= $web127." - <a href=\"mailto:".$pemail."\">".stripslashes($pemail)."</a> - ".$web128."<br><br>";
    $eMsg .= $web129." ".$pseudo.":<br>";
    $eMsg .= '<hr>'.stripslashes($pmess);
    eMailHtmlTo($eSub,$eMsg,$pfmail);
  }
  elseif ($typ == TYP_MAIL) {
    $eSub = $ptit;
    $eMsg = $site[0]." - ".$web330." ".$pseudo." - <a href=\"mailto:".$pemail."\">".stripslashes($pemail)."</a> - ".$web104." ".$datefrmt.".<hr>";
    $eMsg .= "<br>".stripslashes($pmess);
    eMailHtmlTo($eSub,$eMsg,$pfmail,$pemail);
  }
  // cryptographp ==>
}
else {
	$add = "";
	$crypterror = true;
}
// <== cryptographp
}
else {
  $antispam = md5(uniqid(rand()));
  $antispams = ReadDBFields(DBANTISPAM);
  $timestamp = getmicrotime();
  array_push($antispams, array($antispam, $REMOTE_ADDR, $typ, $timestamp));
  $timestamp -= $serviz[52] * 60;
  while($antispams[0][3] < $timestamp) array_shift($antispams);
  if (count($antispams) > $serviz[51]) array_shift($antispams);
  WriteDBFields(DBANTISPAM, $antispams);
}
if (!empty($userprefs[1])) {
  $pseudo = $userprefs[1];
}
if (!empty($userprefs[2])) {
  $pemail = $userprefs[2];
}
if ($typ == TYP_GUESTBK) {
  $title = $web41;
}
elseif ($typ == TYP_NEWS) {
  $title = $web4;
}
elseif ($typ == TYP_FORUM) {
  $title = $web19;
}
elseif ($typ == TYP_RECO) {
  $title = $web124;
}
elseif ($typ == TYP_REACT) {
  $title = $web182;
}
elseif ($typ == TYP_MAIL) {
  $title = $web215."  &nbsp;".$web11;
}
else {
  $title = $web65;
}
$topmess = $title;
include("inc/hpage.inc");
htable($title, "100%");
  ?>
  <script language="javascript" type="text/javascript">
  <!--
  var clic = 0; 
  function VerifyForm() {
    var sto = ''; 
    var erreur = false;
    var largeur = 300;
    var progbar = '<? echo $site[28]; ?>';
    
    regexp = /^[a-zA-Z0-9_]{2,20}$/;
    if (!regexp.test(document.rapporter.pseudo.value)) {
      sto += '  - <? echo addslashes($web266); ?>\n';
      erreur = true;
    }    
    if ((document.rapporter.pemail.value.indexOf("@")<1) || (document.rapporter.pemail.value.indexOf("@")!=document.rapporter.pemail.value.lastIndexOf("@")) || (document.rapporter.pemail.value.lastIndexOf(".")<document.rapporter.pemail.value.indexOf("@")+2)) {
      sto += '  - <? echo addslashes($web42); ?>\n';
      erreur = true;
    }
    if ((document.rapporter.pfmail.value.indexOf("@")<1) || (document.rapporter.pfmail.value.indexOf("@")!=document.rapporter.pfmail.value.lastIndexOf("@")) || (document.rapporter.pfmail.value.lastIndexOf(".")<document.rapporter.pfmail.value.indexOf("@")+2)) {
      sto += '  - <? echo addslashes($web122); ?>\n';
      erreur = true;
    }
    if ((document.rapporter.ptxt.value.search(/\w/) == -1) || (document.rapporter.ptxt.value == "<br /> ")) {
      sto += '  - <? echo addslashes($web43); ?>\n';
      erreur = true;
    }
    if (document.rapporter.ptit.value.search(/\w/) == -1) {
      sto += '  - <? echo addslashes($web123); ?>\n';
    erreur = true;
    }
    if ((document.rapporter.purl.value.indexOf("(")>0) || (document.rapporter.purl.value.indexOf(")")>0) || (document.rapporter.purl.value.indexOf(";")>0)) {
      sto += '  - <? echo addslashes($web229); ?>\n';
      erreur = true;
    }
    if (document.rapporter.crypt.value.search(/\w/) == -1) {
      sto += '  - <? echo addslashes($cp_web1); ?>\n';
      erreur = true;
    }
    if (erreur == true) {
      sto = '<? echo addslashes($web44); ?>\n' + sto;
      alert(sto);
    }
    else {
      clic++;
      var messok = '<? echo $site[27]; ?>';
      if (clic == 1) {
         document.rapporter.submit();
      }
      else {
         sto = '<? echo addslashes($web220); ?>\n' + sto;
         alert(sto);
      }
    }
  }   
  // -->
  </script>
  <?
if ($typ == TYP_NEWS && $members[0]=="on" && $members[8]=="on" && $userprefs[1]=="") {
  echo "<p align=\"center\">".$web342."</p><br />";
  echo "<p align=\"center\">[ <a href=\"".CHEMIN."user.php?lng=".$lng."\">".$web343."</a> ]</p><br />";
}
elseif ($typ == TYP_GUESTBK && $members[0]=="on" && $members[9]=="on" && $userprefs[1]=="") {
  echo "<p align=\"center\">".$web342."</p><br />";
  echo "<p align=\"center\">[ <a href=\"".CHEMIN."user.php?lng=".$lng."\">".$web343."</a> ]</p><br />";
}
elseif (($typ == TYP_FORUM || $typ ==TYP_THREAD) && $members[0]=="on" && ($members[10]=="on" || $members[5]=="on") && $userprefs[1]=="" ) {
  echo "<p align=\"center\">".$web342."</p><br />";
  echo "<p align=\"center\">[ <a href=\"".CHEMIN."user.php?lng=".$lng."\">".$web343."</a> ]</p><br />";
}
elseif ($typ == TYP_REACT && $members[0]=="on" && ($members[11]=="on" || $members[1]=="on") && $userprefs[1]=="" ) {
  echo "<p align=\"center\">".$web342."</p><br />";
  echo "<p align=\"center\">[ <a href=\"".CHEMIN."user.php?lng=".$lng."\">".$web343."</a> ]</p><br />";
}
else {
  if ($ok == $web45) {
    ?>
    <p align="center"><? echo $ok ?></p>
    <p>&nbsp;</p>
    <form name="rapporter" action="postguest.php" method="post" onSubmit="<? if ($browser == "OK") echo "ProcessInfo();"; ?> VerifyForm(); return false;">
    <input type="hidden" name="lng" value="<? echo $lng; ?>">
    <input type="hidden" name="typ" value="<? echo $typ; ?>">
    <input type="hidden" name="antispam" value="<? echo $antispam; ?>">
    <input type="hidden" name="add" value="1">
    <?
    if ($typ == TYP_FORUM && !empty($cat)) {
      ?>
      <input type="hidden" name="catforum" value="<? echo $cat; ?>">
      <?
    }
    if ($typ == TYP_THREAD) {
      ?>
      <input type="hidden" name="num" value="<? echo $num; ?>">
      <?
    }
    if ($typ != TYP_RECO && $typ != TYP_MAIL) {
      ?>
      <input type="hidden" name="pfmail" value="pf@mail.fr">
      <?
    } 
    if ($typ == TYP_MAIL) { /// modif albert pour mail webmaster
      ?>
      <input type="hidden" name="pfmail" value="<? echo $user[1]; ?>">
      <?
    }       
    if ($typ == TYP_GUESTBK || $typ == TYP_RECO || $typ == TYP_THREAD || $typ == TYP_REACT) {
      ?>
      <input type="hidden" name="ptit" value="ptit">
      <?
    }
    if ($typ == TYP_REACT) {
      ?>
      <input type="hidden" name="pg" value="<? echo $pg; ?>">
      <?
    }
    if ($typ != TYP_GUESTBK) {
      ?>
      <input type="hidden" name="purl" value="http://fake">
      <?
    }
    ?>
    <table cellspacing="0" cellpadding="0" align="center" width="98%" border="0">
    <?php
		// cryptographp ==>
		if ($crypterror && $cryptok) echo '<tr><td align="center" style="color:red; background-color:yellow; border:1px solid red; font-weight:bold;">'.$cp_web1.'</td></tr>';
		// <== cryptographp
		?>
    <tr><td align="center"><p><? echo $web49; ?></p></td></tr>
    <tr><td align="center"><input class="texte" type="text" name="pseudo" value="<? echo $pseudo; ?>" size="40"></td></tr>
    <tr><td align="center"><p><? echo $web50; ?></p></td></tr>
    <tr><td align="center"><input class="texte" type="text" name="pemail" value="<? echo $pemail; ?>" size="40"></td></tr>
    <?
    if ($typ != TYP_RECO && $typ != TYP_MAIL) {
      ?>
      <tr><td align="center"><p><? echo $web115; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" name="pehide"></p></td></tr>
      <tr><td align="center"><p><? echo $web30; ?></p></td></tr>
      <tr><td><p>&nbsp;</p></td></tr>
      <?
    }
    if ($typ == TYP_MAIL) {
      ?>
      <tr><td align="center" colspan="2"><p><? echo $web281; ?></p></td></tr>
      <tr><td align="center" width="100%"><input class="texte" type="text" name="ptit" size="45"></td></tr>
      <tr><td align="center" colspan="2"><p><? echo $web56; ?></p></td></tr>
      <?
    }
    if ($typ == TYP_NEWS) {
      ?>
      <tr><td align="center" colspan="2"><p><? echo $web54; ?></p></td></tr>
      <tr><td align="center" width="100%"><input class="texte" type="text" name="ptit" size="45"></td></tr>
      <tr><td align="center" colspan="2"><p><? echo $web55; ?></p></td></tr>
      <?
    }
    if ($typ == TYP_GUESTBK) {
      ?>
      <tr><td align="center" colspan="2"><p><? echo $web51; ?></p></td></tr>
      <tr><td align="center" width="100%"><input class="texte" type="text" name="purl" size="45" value="http://"></td></tr>
      <tr><td align="center" colspan="2"><p><? echo $web56; ?></p></td></tr>
      <?
    }
    if ($typ == TYP_FORUM) {
      ?>
      <tr><td align="center"><p><? echo $web344 ?> :&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" name="replymail"></p></td></tr>
      <tr><td align="center" colspan="2"><p><? echo $web64; ?></p></td></tr>
      <tr><td align="center" width="100%"><input class="texte" type="text" name="ptit" size="45"></td></tr>
      <tr><td align="center" colspan="2"><p><? echo $web56; ?></p></td></tr>
      <?
    }
    if ($typ == TYP_THREAD) {
      if (!empty($pg)) {
        if (count(SelectDBFields(TYP_FORUM,"a",$pg)) != 0) {
          ReadDoc(DBBASE.$pg);
        }
        ?>
        <tr><td align="center"><p><? echo $web344 ?> :&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" name="replymail"></p></td></tr>
        <tr><td align="center" colspan="2"><p><? echo $web141; ?> <strong><? echo $author; ?></strong> <? echo $web142; ?></p></td></tr>
        <tr><td align="center" colspan="2"></td></tr>
        <tr><td colspan="2"><br/><center>
		  	<div class="rep" style="width:400px; height:200px; overflow:auto; border-style:groove;text-align:left">
			  <? echo stripslashes($fieldc1); ?>
			  </div><br/></center>
			  </td></tr>
        <?
      }
      ?>
      <tr><td align="center" colspan="2"><p><strong><? echo $web69; ?></strong></p></td></tr>
      <?
    }
    if ($typ == TYP_RECO) {
      ?>
      <tr><td align="center" colspan="2"><p><? echo $web121; ?></p></td></tr>
      <tr><td align="center" width="100%"><input class="texte" type="text" name="pfmail" size="40"></td></tr>
      <tr><td align="center" colspan="2"><p><? echo $web56; ?></p></td></tr>
      <?
    }
    ?>
    <tr><td align="center">
    <table cellspacing="0" class="forum" style="padding:2px">
    <?
    if ($browser!="OK") {
      ?>
      <tr><td colspan="2" align="center">
      <script language="javascript" type="text/javascript" src="inc/edit.js"></script>
      <a href="javascript: format('b')"><img class="clsCursor" border="0" src="inc/img/editor/bold.gif" align="middle" alt="<? echo $web98; ?>" title="<? echo $web98; ?>"></a>&nbsp;
      <a href="javascript: format('i')"><img class="clsCursor" border="0" src="inc/img/editor/italics.gif" align="middle" alt="<? echo $web100; ?>" title="<? echo $web100; ?>"></a>&nbsp;
      <a href="javascript: format('u')"><img class="clsCursor" border="0" src="inc/img/editor/underline.gif" align="middle" alt="<? echo $web99; ?>" title="<? echo $web99; ?>"></a>&nbsp;
      <a href="javascript: format('p')"><img class="clsCursor" border="0" src="inc/img/editor/preformat.gif" align="middle" alt="<? echo $web101; ?>" title="<? echo $web101; ?>"></a>&nbsp;
      <a href="javascript: MM_showHideLayers('Layer1','','show');"><img class="clsCursor" border="0" src="inc/img/editor/textecolor.gif" align="middle" alt="<? echo $web172; ?>" title="<? echo $web172; ?>"></a>&nbsp;
      <a href="javascript: format('n')"><img class="clsCursor" border="0" src="inc/img/editor/centre.gif" align="middle" alt="<? echo $web171; ?>" title="<? echo $web171; ?>"></a>&nbsp;
      <a href="javascript: format('l')"><img class="clsCursor" border="0" src="inc/img/editor/link.gif" align="middle" alt="<? echo $web170; ?>" title="<? echo $web170; ?>"></a>&nbsp;
      <a href="javascript: undo();"><img class="clsCursor" border="0" src="inc/img/editor/undo.gif" align="middle" alt="<? echo $web96; ?>" title="<? echo $web96; ?>"></a>&nbsp;
      <a href="javascript: redo();"><img class="clsCursor" border="0" src="inc/img/editor/redo.gif" align="middle" alt="<? echo $web97; ?>" title="<? echo $web97; ?>"></a>&nbsp;
      <a href="javascript: format('q')"><img class="clsCursor" border="0" src="inc/editor/images/say.gif" align="middle" alt="<? echo $web293; ?>" title="<? echo $web293; ?>"></a>&nbsp;
      </td></tr> 
      <tr><td colspan="2" bgcolor="#FFFFFF" align="center"><textarea cols="48" rows="10" name="ptxt"></textarea></td></tr>
      <tr><td align="center" valign="middle">
      <?
      DrawSmileys("");
      echo "</td><td align=\"right\">
      <a href=\"javascript:PopupWindow('".CHEMIN."inc/lang/".$lng."-help.htm','Aide','435','180','n','n')\"><img class=\"clsCursor\" border=\"0\" src=\"inc/img/editor/help1.gif\" align=\"middle\" alt=\"Help\" title=\"Help\"></a>";
    }
    else {
      ?>
      <tr><td colspan="2" align="center">
      <script language="javascript" type="text/javascript" src="inc/editor/browserdetect.js"></script>
      <script language="javascript" type="text/javascript" src="inc/editor/editor.js"></script>
      <script language="javascript" type="text/javascript" src="inc/editor/display.js"></script>
      <script language="javascript" type="text/javascript">
      Display('ptxt','inc/editor','<? echo $site[3] ?>' ,400,200,'')
      </script></td></tr>
      <tr><td align="center" valign="middle">
      <?
      DrawSmileys2();
      echo "</td><td align=\"right\">
      <a href=\"javascript:PopupWindow('".CHEMIN."inc/lang/".$lng."-help.htm#ed1','Aide','422','185','n','n')\"><img class=\"clsCursor\" border=\"0\" src=\"inc/img/editor/help1.gif\" align=\"middle\" alt=\"Help\" title=\"Help\"></a>";
    }
    ?>
    </td></tr>
    </table>
    </td></tr>
	<?php
	// cryptographp ==>
	if ($cryptok) { ?>
    <tr>
			<td align="center"><?php
				if ($cp_cfg[6]) dsp_crypt(0,1,2,1);
				else dsp_crypt(0,1);
			?></td>
    </tr>
		<tr>
			<td align="center"><?php echo $cp_web2; ?><input type="text" name="crypt" size="10" /></td>
		</tr>
	<?php }
	// <== cryptographp
	?>
    <tr><td align="center" colspan="2"><p><br /></p><? echo $boutonleft; ?><input class="bouton" type="submit" value="<? echo $web52; ?>" title="<? echo $web52; ?>"><? echo $boutonright; ?></td></tr>
    <tr><td>&nbsp;</td></tr>
    </table>
    </form>
    <? 
    if ($browser!="OK") {
      include("inc/palette.inc");
    }
    ?>
    <script language="javascript" type="text/javascript">
    document.rapporter.pseudo.focus();
    </script>
    <?
  }
  else {
    ?>
    <p align="center"><? echo $ok; ?></p>
    <?
    if ($typ == TYP_NEWS) {
      $backurl = "news.php?lng=".$lng;
    }
    elseif ($typ == TYP_GUESTBK) {
      $backurl = "guestbk.php?lng=".$lng;
    }
    elseif ($typ == TYP_FORUM) {
      if (!empty($catforum)) {
        $backurl = "forum.php?lng=".$lng."&cat=".$catforum;
      }
      else {
        $backurl = "forum.php?lng=".$lng;
      }
    }
    elseif ($typ == TYP_THREAD) {
      $dbwork = array();
      $dbwork = ReadDBFields(DBFORUM);
      for ($i = 0; $i < count($dbwork); $i++) {
        if ($dbwork[$i][1] == $num) {
          $catforum = $dbwork[$i][12];
        }
      }
      if (!empty($catforum)) {
        $backurl = "forum.php?lng=".$lng."&cat=".$catforum;
      }
      else {
        $backurl = "forum.php?lng=".$lng;
      }
    }
    elseif ($typ == TYP_REACT) {
      $backurl = "articles.php?lng=".$lng."&pg=".$pg;
    }
    elseif ($typ == TYP_RECO || $typ == TYP_MAIL) {
      $backurl = "index.php?lng=".$lng;
    }     
    //echo "<p align=\"center\">".$web267."</p>";           
    echo "<hr />
    <p align='center'>[ <a href='".$backurl."'>".$web135."</a> ]</p>";
    ?>  
    <script type="text/javascript" language="javascript">
      var type = '<? echo $typ; ?>';
      var messok = '<? echo $site[27]; ?>'; messok++;
      if (type == "<? echo TYP_RECO; ?>" || type == "<? echo TYP_MAIL; ?>") {         
        setTimeout("window.history.go(-2);",2000*messok);
      }
      else {
        setTimeout("window.location='<? echo $backurl; ?>';",2000*messok);
      }
    </script>
    <?
  }
}
btable();
include("inc/bpage.inc");
?>
